Page MenuHomePhabricator

Prepare change-prop to consume new-style messages
Closed, ResolvedPublic

Description

Change-prop depends on .meta.topic property being present in the message which disappears in new-style events. We need to prepare change-prop for new event schemas.

Event Timeline

Pchelolo created this task.Jun 20 2019, 4:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2019, 4:46 PM

Mentioned in SAL (#wikimedia-operations) [2019-06-24T21:37:29Z] <ppchelko@deploy1001> Started deploy [changeprop/deploy@17e71b5]: Support .meta.stream as well as .meta.topic T226198

Mentioned in SAL (#wikimedia-operations) [2019-06-24T21:39:11Z] <ppchelko@deploy1001> Finished deploy [changeprop/deploy@17e71b5]: Support .meta.stream as well as .meta.topic T226198 (duration: 01m 42s)

Pchelolo closed this task as Resolved.Jun 24 2019, 9:41 PM

ChangeProp now supports both .meta.topic and .meta.stream events, so this should unblock eventgate migration.